.feedback {
  font-size: 14px;
}

.rating {
  height: 100px;
}

.rating-label {
  display: none;
}

.rating img:hover ~ .rating-label,
.rating .rating-choosed .rating-label {
  display: inline;
}

.rating img {
  opacity: 0.5;
}

.rating img:hover,
.rating .rating-choosed img {
  cursor: pointer;
  opacity: 1;
}

.form-check.is-success input {
  width: 15px;
  height: 15px;
}

.form-check-label::before {
  background-color: #16a75c !important;
}

.custom-control-input:checked ~ .custom-control-label::before {
  color: #fff;
  border-color: #16a75c;
}

.custom-control-input:checked ~ .custom-control-label::before {
  background-color: #16a75c;
  box-shadow: #16a75c;
}

.custom-control-input:focus ~ .custom-control-label::before {
  box-shadow: none;
}

.custom-checkbox .custom-control-input:checked ~ .custom-control-label::before {
  background-color: #16a75c;
}

.custom-control-input:active ~ .custom-control-label::before {
  background-color: #16a75c;
}

::ng-deep {
  .feedback .ng-select .ng-arrow-wrapper .ng-arrow {
    display: none !important;
  }

  .feedback .ng-select.ng-select-opened .ng-select-container .ng-arrow-wrapper:before {
    content: '';
  }
  .feedback .ng-select span.ng-arrow-wrapper:before {
    content: '';
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome, sans-serif;
    font-size: inherit;
    text-rendering: auto;
    color: #16a75c;
  }

  .feedback .ng-select.ng-select-focused:not(.ng-select-opened) > .ng-select-container {
    border-color: #16a75c;
    box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 0 3px rgb(0 255 126 / 10%);
  }

  .feedback .ng-dropdown-panel .ng-dropdown-panel-items .ng-option {
    white-space: normal;
  }
}
